# Class SendUrlRequest | EchoHub Documentation

# Class SendUrlRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record SendUrlRequest : IEquatable<SendUrlRequest>

Inheritance
  object
  SendUrlRequest

Implements
  IEquatable<SendUrlRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### SendUrlRequest(SendUrlRequest)

    protected SendUrlRequest(SendUrlRequest original)

#### Parameters

`original` SendUrlRequest

### SendUrlRequest(string)

    public SendUrlRequest(string Url)

#### Parameters

`Url` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Url

    public string Url { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string)

    public void Deconstruct(out string Url)

#### Parameters

`Url` string

### Equals(SendUrlRequest?)

    public virtual bool Equals(SendUrlRequest? other)

#### Parameters

`other` SendUrlRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(SendUrlRequest?, SendUrlRequest?)

    public static bool operator ==(SendUrlRequest? left, SendUrlRequest? right)

#### Parameters

`left` SendUrlRequest
`right` SendUrlRequest

#### Returns

bool

### operator !=(SendUrlRequest?, SendUrlRequest?)

    public static bool operator !=(SendUrlRequest? left, SendUrlRequest? right)

#### Parameters

`left` SendUrlRequest
`right` SendUrlRequest

#### Returns

bool